/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2012 Wolfgang Betz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef fesslix_flxlibs_H
#define fesslix_flxlibs_H

// Headers of the Libraries to include
#include "sfem.h"  

/**
* @brief object read class: for FlxObjLoadLib
*/
class FlxObjReadLoadLib : public FlxObjReadBase {
  private:
    FlxObjectReadBox* objReadBox;
    static bool sfem;
    static bool rnd;
    static bool flxbn;
  public:
    FlxObjReadLoadLib(FlxObjectReadBox* objReadBoxV) :objReadBox(objReadBoxV) { data->IgnoreBox.set_iL_recur("loadlib"); }
    FlxObjBase* read ();
};


#endif // fesslix_flxlibs_H